%define version 0.11
%define release %mkrel 5

Summary:	A file manager/desktop-environment
Name:		segusoLand
Version:	%{version}
Release:	%{release}
Source0:	ftp://osdn.dl.sourceforge.net/pub/sourceforge/s/se/%{name}/%{name}-%{version}.tar.bz2
License:	GPL
Group:		File tools
Url:		http://segusoland.sf.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	swi-prolog >= 5.2.11
BuildRequires:	boost-devel >= 1.31.0-3mdk
BuildRequires:	gtkmm2.0-devel
BuildRequires:	ncurses-devel
Requires:	swi-prolog

%description
SegusoLand is a file-manager/desktop-environment for Linux
that provides an easy and homogeneous way to specify any action
you want. It features an innovative interaction paradigm called
"intelligent options narrowing".

%prep
%setup -q -n segusoland-%{version}

%build
eval `pl  -dump-runtime-variables`

cd src
g++ %optflags -o segusoLand segusoLand.cc \
  `pkg-config gtkmm-2.0 --cflags --libs` \
  -I${PLBASE}/include/ \
  -L${PLBASE}/{runtime,lib}/${PLARCH} \
  -DLIBDIR=\"%{_datadir}/%{name}\" \
  -DIMAGEDIR=\"%{_datadir}/%{name}\" \
  $PLLIB -lncurses -lpthread
  
# perl -pi -e 's!img/!%{_datadir}/%{name}/img/!' %{name}.pl

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}{%{_bindir},%{_menudir},%_miconsdir,%_liconsdir,%{_datadir}/%{name}}

install -m 755 src/%{name} %{buildroot}%{_bindir}/%{name}
install -m 644 src/%{name}.pl %{buildroot}%{_datadir}/%{name}

cp -vfr  src/img %{buildroot}%{_datadir}/%{name}

cat >$RPM_BUILD_ROOT%{_menudir}/%{name} <<EOF
?package(%{name}): \
        command="%{_bindir}/%{name}" \
        title="SegusoLand" \
        longtitle="Execute tasks by gradually narrowing options" \
        needs="x11" \
        section="Office/Tasks Management" \
        icon="taskmanagement_section.png" \
        xdg="true"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop << EOF
[Desktop Entry]
Name=SegusoLand
Comment=Execute tasks by gradually narrowing options
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Office-TasksManagement;
EOF

# cleanup
rm -f %{buildroot}%{_datadir}/%{name}/img/.directory

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_menus

%postun
%clean_menus

%files
%defattr(-,root,root)
%doc doc/*
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_menudir}/%{name}
%{_datadir}/applications/mandriva-%{name}.desktop

%changelog
* Sun Aug 13 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/13/06 21:03:55 (55840)
- xdg menu

* Sun Aug 13 2006 Olivier Thauvin <nanardon@mandriva.org>
+ 08/13/06 20:55:41 (55839)
Import segusoLand

* Sat Mar 25 2006 Olivier Thauvin <nanardon@mandriva.org> 0.11-4mdk
- rebuild

* Thu Mar 10 2005 Olivier Thauvin <nanardon@mandrake.org> 0.11-3mdk
- %%mkrel
- fix build against latest swi-prolog

* Sat Jun 05 2004 Abel Cheung <deaddog@deaddog.org> 0.11-2mdk
- Rebuild with new gcc

* Wed Jun 02 2004 Abel Cheung <deaddog@deaddog.org> 0.11-1mdk
- tarball release

* Mon Dec 29 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0-0.20031229.1mdk
- new cvs version, should fix pb

* Sat Dec 27 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0-0.20031227.2mdk
Requires: swi-prolog (I sucks, but you know that)

* Sat Dec 27 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0-0.20031227.1mdk
- fix path
- new cvs version

* Thu Dec 25 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0-0.20031225.1mdk
- make a Christmas gift

